BARRIERC(1)

NAME
barrierc - Barrier Keyboard/Mouse Client

SYNOPSIS
barrierc [--yscroll <delta>] [--display <display>] [--no-xinitthreads] [--daemon|--no-daemon] [--name <screen-name>] [--restart|--no-restart] [--debug <level>] <server-address>

DESCRIPTION
Start the barrier client and connect to a remote server component.

OPTIONS

-d, --debug <level>
    filter out log messages with priority below level. level may be: FATAL, ERROR, WARNING, NOTE, INFO, DEBUG, DEBUG1, DEBUG2.

-n, --name <screen-name> use screen-name instead the hostname to identify
    this screen in the configuration.

-1, --no-restart
    do not try to restart on failure.

--restart
    restart the server automatically if it fails. (*)

-l  --log <file>
    write log messages to file.

--no-tray
    disable the system tray icon.

--enable-drag-drop
    enable file drag & drop.

--enable-crypto
    enable the crypto (ssl) plugin.

--display <display>
    connect to the X server at <display>

--no-xinitthreads
    do not call XInitThreads()

-f, --no-daemon
    run in the foreground.

--daemon
    run as a daemon. (*)

--yscroll <delta>
    defines the vertical scrolling delta, which is 120 by default.

-h, --help
    display this help and exit.

--version
    display version information and exit.

Default options are marked with a *

The server address is of the form: [<hostname>][:<port>]. The hostname must be the address or hostname of the server. Placing brackets around an IPv6 address is required when also specifying a port number and optional otherwise. The default port number is 24800.

COPYRIGHT
Copyright © 2018 Debauchee Open Source Group
Copyright © 2012-2016 Symless Ltd.
Copyright © 2008-2014 Nick Bolton
Copyright © 2002-2014 Chris Schoeneman